Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(112)

Issue 1186883003: Ship Subresource Integrity (Closed)

Created:
4 years, 2 months ago by jww
Modified:
4 years, 2 months ago
Reviewers:
Mike West
CC:
blink-reviews, Yoav Weiss, gavinp+prerender_chromium.org, vivekg_samsung, blink-reviews-html_chromium.org, vivekg, dglazkov+blink, Inactive, arv+blink
Base URL:
https://chromium.googlesource.com/chromium/blink.git@master
Target Ref:
refs/heads/master
Project:
blink
Visibility:
Public.

Description

Ship Subresource Integrity Removes the runtime flag for subresource integrity so it is enabled by default. Enables the 'integrity' attribute for HTMLLinkElement and HTMLScriptElement where a hash can be specified for the expected content. If hash values do not match, fetch will be blocked. Intent to Ship (and approvals): https://groups.google.com/a/chromium.org/forum/#!topic/blink-dev/G3HY0qqTvw8 Spec: https://w3c.github.io/webappsec/specs/subresourceintegrity/ R=mkwst@chromium.org BUG=355467 Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=197494

Patch Set 1 #

Patch Set 2 : Rebase on ToT #

Patch Set 3 : Fixed virtual test results #

Unified diffs Side-by-side diffs Delta from patch set Stats (+10 lines, -8 lines) Patch
M LayoutTests/virtual/stable/webexposed/element-instance-property-listing-expected.txt View 1 2 3 chunks +3 lines, -0 lines 0 comments Download
M LayoutTests/virtual/stable/webexposed/global-interface-listing-expected.txt View 1 2 4 chunks +4 lines, -0 lines 0 comments Download
M Source/core/frame/SubresourceIntegrity.cpp View 1 2 chunks +0 lines, -4 lines 0 comments Download
M Source/core/html/HTMLLinkElement.idl View 1 chunk +1 line, -1 line 0 comments Download
M Source/core/html/HTMLScriptElement.idl View 1 chunk +2 lines, -2 lines 0 comments Download
M Source/platform/RuntimeEnabledFeatures.in View 1 1 chunk +0 lines, -1 line 0 comments Download

Messages

Total messages: 20 (10 generated)
jww
4 years, 2 months ago (2015-06-17 20:44:00 UTC) #2
Mike West
On 2015/06/17 at 20:44:00, jww wrote: > LGTM. \o/
4 years, 2 months ago (2015-06-18 05:49:36 UTC) #3
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1186883003/1
4 years, 2 months ago (2015-06-18 16:55:13 UTC) #5
commit-bot: I haz the power
Try jobs failed on following builders: mac_blink_rel on tryserver.blink (JOB_FAILED, http://build.chromium.org/p/tryserver.blink/builders/mac_blink_rel/builds/59548)
4 years, 2 months ago (2015-06-18 18:10:27 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1186883003/20001
4 years, 2 months ago (2015-06-18 19:12:28 UTC) #10
commit-bot: I haz the power
Try jobs failed on following builders: mac_blink_rel on tryserver.blink (JOB_FAILED, http://build.chromium.org/p/tryserver.blink/builders/mac_blink_rel/builds/59598)
4 years, 2 months ago (2015-06-18 20:50:39 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1186883003/20001
4 years, 2 months ago (2015-06-19 14:59:59 UTC) #14
commit-bot: I haz the power
Try jobs failed on following builders: mac_blink_rel on tryserver.blink (JOB_FAILED, http://build.chromium.org/p/tryserver.blink/builders/mac_blink_rel/builds/59791)
4 years, 2 months ago (2015-06-19 16:16:03 UTC) #16
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1186883003/40001
4 years, 2 months ago (2015-06-19 16:43:48 UTC) #19
commit-bot: I haz the power
4 years, 2 months ago (2015-06-19 19:01:30 UTC) #20
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://src.chromium.org/viewvc/blink?view=rev&revision=197494

Powered by Google App Engine
This is Rietveld 408576698